Name: groff
Version: 1.22.4
Release: 0
License: GPL-3.0-or-later
Summary: A document formatting system
Url: http://www.gnu.org/software/groff

Source0: https://ftp.gnu.org/gnu/groff/groff-%{version}.tar.gz

BuildRequires: texinfo
BuildRequires: ghostscript

%description
Groff is a document formatting system.  Groff takes standard text and
formatting commands as input and produces formatted output.  The
created documents can be shown on a display or printed on a printer.
Groff's formatting commands allow you to specify font type and size,
bold type, italic type, the number and size of columns on a page, and
more.

You should install groff if you want to use it as a document
formatting system.  Groff can also be used to format man pages. 

%package doc
Summary: Documentation files for groff

%description doc
Documentation for groff document formatting system

%prep
%setup -q

%build
%configure \
  CPPFLAGS='-I%{_includedir}' \
  LDFLAGS='-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}'
make

%install
%make_install 


%files
%defattr(-, qsys, *none)
%{_prefix}/share/groff
%{_bindir}/soelim
%{_bindir}/grolbp
%{_bindir}/chem
%{_bindir}/roff2ps
%{_bindir}/tfmtodit
%{_bindir}/grog
%{_bindir}/lkbib
%{_bindir}/grotty
%{_bindir}/roff2x
%{_bindir}/pdfroff
%{_bindir}/addftinfo
%{_bindir}/grolj4
%{_bindir}/post-grohtml
%{_bindir}/refer
%{_bindir}/pdfmom
%{_bindir}/groff
%{_bindir}/grap2graph
%{_bindir}/roff2dvi
%{_bindir}/nroff
%{_bindir}/eqn2graph
%{_bindir}/glilypond
%{_bindir}/roff2html
%{_bindir}/grops
%{_bindir}/hpftodit
%{_bindir}/grodvi
%{_bindir}/lookbib
%{_bindir}/gperl
%{_bindir}/afmtodit
%{_bindir}/roff2pdf
%{_bindir}/grn
%{_bindir}/gpinyin
%{_bindir}/gropdf
%{_bindir}/preconv
%{_bindir}/pre-grohtml
%{_bindir}/mmroff
%{_bindir}/groffer
%{_bindir}/troff
%{_bindir}/roff2text
%{_bindir}/tbl
%{_bindir}/gdiffmk
%{_bindir}/neqn
%{_bindir}/pic
%{_bindir}/indxbib
%{_bindir}/pfbtops
%{_bindir}/eqn
%{_bindir}/pic2graph

%{_libdir}/groff
%exclude %{_libdir}/charset.alias

%files doc
%defattr(-, qsys, *none)
%doc	BUG-REPORT NEWS PROBLEMS README TODO
%{_mandir}/man7/ditroff.7
%{_mandir}/man7/groff_www.7
%{_mandir}/man7/groff_mdoc.7
%{_mandir}/man7/groff_char.7
%{_mandir}/man7/groff_hdtbl.7
%{_mandir}/man7/groff_mom.7
%{_mandir}/man7/groff.7
%{_mandir}/man7/groff_diff.7
%{_mandir}/man7/roff.7
%{_mandir}/man7/groff_trace.7
%{_mandir}/man7/groff_me.7
%{_mandir}/man7/groff_mmse.7
%{_mandir}/man7/groff_ms.7
%{_mandir}/man7/groff_man.7
%{_mandir}/man7/groff_mm.7

%{_mandir}/man5/groff_filenames.5
%{_mandir}/man5/groff_tmac.5
%{_mandir}/man5/groff_font.5
%{_mandir}/man5/lj4_font.5
%{_mandir}/man5/groff_out.5

%{_mandir}/man1/groff.1
%{_mandir}/man1/grap2graph.1
%{_mandir}/man1/glilypond.1
%{_mandir}/man1/tbl.1
%{_mandir}/man1/hpftodit.1
%{_mandir}/man1/pic.1
%{_mandir}/man1/chem.1
%{_mandir}/man1/gropdf.1
%{_mandir}/man1/lkbib.1
%{_mandir}/man1/pdfmom.1
%{_mandir}/man1/troff.1
%{_mandir}/man1/addftinfo.1
%{_mandir}/man1/pfbtops.1
%{_mandir}/man1/grn.1
%{_mandir}/man1/roff2pdf.1
%{_mandir}/man1/roff2x.1
%{_mandir}/man1/grolj4.1
%{_mandir}/man1/afmtodit.1
%{_mandir}/man1/tfmtodit.1
%{_mandir}/man1/grops.1
%{_mandir}/man1/neqn.1
%{_mandir}/man1/eqn2graph.1
%{_mandir}/man1/roff2ps.1
%{_mandir}/man1/grolbp.1
%{_mandir}/man1/gpinyin.1
%{_mandir}/man1/pic2graph.1
%{_mandir}/man1/nroff.1
%{_mandir}/man1/roff2dvi.1
%{_mandir}/man1/mmroff.1
%{_mandir}/man1/refer.1
%{_mandir}/man1/roff2html.1
%{_mandir}/man1/gperl.1
%{_mandir}/man1/preconv.1
%{_mandir}/man1/soelim.1
%{_mandir}/man1/grotty.1
%{_mandir}/man1/grodvi.1
%{_mandir}/man1/gdiffmk.1
%{_mandir}/man1/lookbib.1
%{_mandir}/man1/groffer.1
%{_mandir}/man1/roff2text.1
%{_mandir}/man1/eqn.1
%{_mandir}/man1/grohtml.1
%{_mandir}/man1/pdfroff.1
%{_mandir}/man1/indxbib.1
%{_mandir}/man1/grog.1

%{_docdir}/groff-%{version}
%{_infodir}/dir
%{_infodir}/groff.info-2
%{_infodir}/groff.info
%{_infodir}/groff.info-1


%changelog
* Tue Aug 06 2019 Eric Simpson <esimpson@ca.ibm.com>
- initial build for IBM i
